Overview
POST
/integration/integration-itemsintegrationCreate integration_items
Create a record in integration-items.
Auth: bearerAuth — calls run as the authenticated user.
Request body
application/json · optional
- deletedAtoptionalstring?
- ecosystemIdoptionalstring
- connectionIdstring
- externalIdstring
- itemTypestring
- titlestring
- bodyoptionalstring?
- statestring
- repoFullNamestring
- repoUrloptionalstring?
- itemUrloptionalstring?
- numberoptionalinteger?
- labelsoptionalstring?
- assigneesoptionalstring?
- isReadoptionalboolean
- notificationReasonoptionalstring?
- isDeletedoptionalboolean
- externalCreatedAtoptionalstring?
- externalUpdatedAtoptionalstring?
Example
{
"deletedAt": "string",
"ecosystemId": "string",
"connectionId": "string",
"externalId": "string",
"itemType": "string",
"title": "string",
"body": "string",
"state": "string",
"repoFullName": "string",
"repoUrl": "string",
"itemUrl": "string",
"number": 0,
"labels": "string",
"assignees": "string",
"isRead": true,
"notificationReason": "string",
"isDeleted": true,
"externalCreatedAt": "string",
"externalUpdatedAt": "string"
}Responses
201
integration_items
- idstring
- customerIdstring
- deletedAtstring?
- ecosystemIdstring
- connectionIdstring
- externalIdstring
- itemTypestring
- titlestring
- bodystring?
- statestring
- repoFullNamestring
- repoUrlstring?
- itemUrlstring?
- numberinteger?
- labelsstring?
- assigneesstring?
- isReadboolean
- notificationReasonstring?
- isDeletedboolean
- syncVersioninteger
- externalCreatedAtstring?
- externalUpdatedAtstring?
- createdAtstring
- updatedAtstring
Example
{
"id": "string",
"customerId": "string",
"deletedAt": "string",
"ecosystemId": "string",
"connectionId": "string",
"externalId": "string",
"itemType": "string",
"title": "string",
"body": "string",
"state": "string",
"repoFullName": "string",
"repoUrl": "string",
"itemUrl": "string",
"number": 0,
"labels": "string",
"assignees": "string",
"isRead": true,
"notificationReason": "string",
"isDeleted": true,
"syncVersion": 0,
"externalCreatedAt": "string",
"externalUpdatedAt": "string",
"createdAt": "string",
"updatedAt": "string"
}400
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}401
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X POST "https://api.agenticdeveloperhub.com/integration/integration-items" \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"deletedAt": "string",
"ecosystemId": "string",
"connectionId": "string",
"externalId": "string",
"itemType": "string",
"title": "string",
"body": "string",
"state": "string",
"repoFullName": "string",
"repoUrl": "string",
"itemUrl": "string",
"number": 0,
"labels": "string",
"assignees": "string",
"isRead": true,
"notificationReason": "string",
"isDeleted": true,
"externalCreatedAt": "string",
"externalUpdatedAt": "string"
}'JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/integration/integration-items", {
method: "POST",
headers: {
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
body: "{\n \"deletedAt\": \"string\",\n \"ecosystemId\": \"string\",\n \"connectionId\": \"string\",\n \"externalId\": \"string\",\n \"itemType\": \"string\",\n \"title\": \"string\",\n \"body\": \"string\",\n \"state\": \"string\",\n \"repoFullName\": \"string\",\n \"repoUrl\": \"string\",\n \"itemUrl\": \"string\",\n \"number\": 0,\n \"labels\": \"string\",\n \"assignees\": \"string\",\n \"isRead\": true,\n \"notificationReason\": \"string\",\n \"isDeleted\": true,\n \"externalCreatedAt\": \"string\",\n \"externalUpdatedAt\": \"string\"\n}",
});
const data = await res.json();